Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/TextStyle.Serialization.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/TextStyle.Serialization.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/TextStyle.Serialization.cs	(revision 4068)
@@ -1,68 +1,62 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Runtime.Serialization;
-using System.Xml.Serialization;
-using System.Xml.Schema;
 using System.Diagnostics;
 using System.Drawing;
+using System.Runtime.Serialization;
+using System.Xml.Schema;
+using System.Xml.Serialization;
 using ToolBox.Formatting;
 
 
-namespace Netron.Diagramming.Core
-{
-    [Serializable]
-    public partial class TextStyle :
-       ISerializable,
-       IXmlSerializable,
-       IDeserializationCallback
-    {
-        #region Deserialization constructor
+namespace Netron.Diagramming.Core {
+  [Serializable]
+  public partial class TextStyle :
+     ISerializable,
+     IXmlSerializable,
+     IDeserializationCallback {
+    #region Deserialization constructor
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Deserialization constructor
-        /// </summary>
-        /// <param name="info">The info.</param>
-        /// <param name="context">The context.</param>
-        // ------------------------------------------------------------------
-        protected TextStyle(
-            SerializationInfo info,
-            StreamingContext context)
-        {
-            if (Tracing.BinaryDeserializationSwitch.Enabled)
-            {
-                Trace.WriteLine("Deserializing the fields of 'TextStyle'.");
-            }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Deserialization constructor
+    /// </summary>
+    /// <param name="info">The info.</param>
+    /// <param name="context">The context.</param>
+    // ------------------------------------------------------------------
+    protected TextStyle(
+        SerializationInfo info,
+        StreamingContext context) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled) {
+        Trace.WriteLine("Deserializing the fields of 'TextStyle'.");
+      }
 
-            double version = info.GetDouble("TextStyleVersion");
+      double version = info.GetDouble("TextStyleVersion");
 
-            mDecimalPlaces = info.GetInt32("DecimalPlaces");
+      mDecimalPlaces = info.GetInt32("DecimalPlaces");
 
-            mTextFormat = (TextFormat) info.GetValue(
-                "TextFormat", 
-                typeof(TextFormat));
+      mTextFormat = (TextFormat)info.GetValue(
+          "TextFormat",
+          typeof(TextFormat));
 
-            mFont = (Font) info.GetValue(
-                "Font", 
-                typeof(Font));
+      mFont = (Font)info.GetValue(
+          "Font",
+          typeof(Font));
 
-            mFontColor = (Color) info.GetValue(
-                "FontColor", 
-                typeof(Color));
+      mFontColor = (Color)info.GetValue(
+          "FontColor",
+          typeof(Color));
 
-            mHorizontalAlignment = (StringAlignment)info.GetValue(
-                "HorizontalAlignment",
-                typeof(StringAlignment));
+      mHorizontalAlignment = (StringAlignment)info.GetValue(
+          "HorizontalAlignment",
+          typeof(StringAlignment));
 
-            mVerticalAlignment = (StringAlignment)info.GetValue(
-                "VerticalAlignment",
-                typeof(StringAlignment));
-        }
+      mVerticalAlignment = (StringAlignment)info.GetValue(
+          "VerticalAlignment",
+          typeof(StringAlignment));
+    }
 
-        #endregion
+    #endregion
 
-        #region Serialization events
-       /*
+    #region Serialization events
+    /*
         [OnSerializing]
         void OnSerializing(StreamingContext context)
@@ -76,8 +70,8 @@
         }
         */
-        #endregion
+    #endregion
 
-        #region Deserialization events
-       /*
+    #region Deserialization events
+    /*
         [OnDeserializing]
         void OnDeserializing(StreamingContext context)
@@ -93,108 +87,102 @@
         }
        */
-        #endregion
+    #endregion
 
-        #region Serialization
-        /// <summary>
-        /// Populates a <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> with the data needed to serialize the target object.
-        /// </summary>
-        /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> to populate with data.</param>
-        /// <param name="context">The destination (see <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) for this serialization.</param>
-        /// <exception cref="T:System.Security.SecurityException">The caller does not have the required permission. </exception>
-        public virtual  void GetObjectData(SerializationInfo info, StreamingContext context)
-        {
-            if(Tracing.BinarySerializationSwitch.Enabled)
-                Trace.WriteLine("Serializing the fields of 'PenStyle'.");
+    #region Serialization
+    /// <summary>
+    /// Populates a <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> with the data needed to serialize the target object.
+    /// </summary>
+    /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> to populate with data.</param>
+    /// <param name="context">The destination (see <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) for this serialization.</param>
+    /// <exception cref="T:System.Security.SecurityException">The caller does not have the required permission. </exception>
+    public virtual void GetObjectData(SerializationInfo info, StreamingContext context) {
+      if (Tracing.BinarySerializationSwitch.Enabled)
+        Trace.WriteLine("Serializing the fields of 'PenStyle'.");
 
-            info.AddValue("TextStyleVersion", textStyleVersion);
-      
-            info.AddValue("DecimalPlaces", this.mDecimalPlaces, typeof(int));
+      info.AddValue("TextStyleVersion", textStyleVersion);
 
-            info.AddValue("TextFormat", this.mTextFormat, typeof(TextFormat));
+      info.AddValue("DecimalPlaces", this.mDecimalPlaces, typeof(int));
 
-            // Note: we do not have to serialize the font style (i.e. IsBold,
-            // IsUnderline, etc.) because that's included in the font.
-            info.AddValue("Font", this.mFont, typeof(Font));
+      info.AddValue("TextFormat", this.mTextFormat, typeof(TextFormat));
 
-            info.AddValue("FontColor", this.mFontColor, typeof(Color));
+      // Note: we do not have to serialize the font style (i.e. IsBold,
+      // IsUnderline, etc.) because that's included in the font.
+      info.AddValue("Font", this.mFont, typeof(Font));
 
-            info.AddValue(
-                "HorizontalAlignment", 
-                this.mHorizontalAlignment, 
-                typeof(StringAlignment));
+      info.AddValue("FontColor", this.mFontColor, typeof(Color));
 
-            info.AddValue(
-                "VerticalAlignment",
-                this.mVerticalAlignment,
-                typeof(StringAlignment));
-        }
-        #endregion
+      info.AddValue(
+          "HorizontalAlignment",
+          this.mHorizontalAlignment,
+          typeof(StringAlignment));
 
-        #region Xml serialization
+      info.AddValue(
+          "VerticalAlignment",
+          this.mVerticalAlignment,
+          typeof(StringAlignment));
+    }
+    #endregion
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// This property is reserved, apply the 
-        /// <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute">
-        /// </see> to the class instead.
-        /// </summary>
-        /// <returns>
-        /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes 
-        /// the XML representation of the object that is produced by the 
-        /// <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(
-        /// System.Xml.XmlWriter)"></see> method and consumed by the 
-        /// <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(
-        /// System.Xml.XmlReader)"></see> method.
-        /// </returns>
-        // ------------------------------------------------------------------
-        public  virtual XmlSchema GetSchema()
-        {
-            throw new NotImplementedException(
-                "The method or operation is not implemented.");
-        }
+    #region Xml serialization
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Generates an object from its XML representation.
-        /// </summary>
-        /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> 
-        /// stream from which the object is deserialized.</param>
-        // ------------------------------------------------------------------
-        public  virtual void ReadXml(System.Xml.XmlReader reader)
-        {
-            throw new NotImplementedException(
-                "The method or operation is not implemented.");
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// This property is reserved, apply the 
+    /// <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute">
+    /// </see> to the class instead.
+    /// </summary>
+    /// <returns>
+    /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes 
+    /// the XML representation of the object that is produced by the 
+    /// <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(
+    /// System.Xml.XmlWriter)"></see> method and consumed by the 
+    /// <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(
+    /// System.Xml.XmlReader)"></see> method.
+    /// </returns>
+    // ------------------------------------------------------------------
+    public virtual XmlSchema GetSchema() {
+      throw new NotImplementedException(
+          "The method or operation is not implemented.");
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Converts an object into its XML representation.
-        /// </summary>
-        /// <param name="writer">The <see cref="T:System.Xml.XmlWriter">
-        /// </see> stream to which the object is serialized.</param>
-        // ------------------------------------------------------------------
-        public virtual void WriteXml(System.Xml.XmlWriter writer)
-        {
-            throw new NotImplementedException(
-                "The method or operation is not implemented.");
-        }
-        #endregion
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Generates an object from its XML representation.
+    /// </summary>
+    /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> 
+    /// stream from which the object is deserialized.</param>
+    // ------------------------------------------------------------------
+    public virtual void ReadXml(System.Xml.XmlReader reader) {
+      throw new NotImplementedException(
+          "The method or operation is not implemented.");
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Runs when the entire object graph has been deserialized.
-        /// </summary>
-        /// <param name="sender">The object that initiated the callback. The 
-        /// functionality for this parameter is not currently implemented.
-        /// </param>
-        // ------------------------------------------------------------------
-        public virtual void OnDeserialization(object sender)
-        {
-            if (Tracing.BinaryDeserializationSwitch.Enabled)
-            {
-                Trace.WriteLine(
-                    "IDeserializationCallback of 'PenStyle' called.");
-            }
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Converts an object into its XML representation.
+    /// </summary>
+    /// <param name="writer">The <see cref="T:System.Xml.XmlWriter">
+    /// </see> stream to which the object is serialized.</param>
+    // ------------------------------------------------------------------
+    public virtual void WriteXml(System.Xml.XmlWriter writer) {
+      throw new NotImplementedException(
+          "The method or operation is not implemented.");
     }
+    #endregion
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Runs when the entire object graph has been deserialized.
+    /// </summary>
+    /// <param name="sender">The object that initiated the callback. The 
+    /// functionality for this parameter is not currently implemented.
+    /// </param>
+    // ------------------------------------------------------------------
+    public virtual void OnDeserialization(object sender) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled) {
+        Trace.WriteLine(
+            "IDeserializationCallback of 'PenStyle' called.");
+      }
+    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/ToolBox.Formatting/TextFormat.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/ToolBox.Formatting/TextFormat.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/ToolBox.Formatting/TextFormat.cs	(revision 4068)
@@ -1,86 +1,82 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace ToolBox.Formatting
-{
-    [Serializable()]
-    public enum TextFormat
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// No formatting is applied.
-        /// </summary>
-        // ------------------------------------------------------------------
-        String,
+namespace ToolBox.Formatting {
+  [Serializable()]
+  public enum TextFormat {
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// No formatting is applied.
+    /// </summary>
+    // ------------------------------------------------------------------
+    String,
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Culturally aware currency format.
-        /// </summary>
-        // ------------------------------------------------------------------
-        Currency,
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Culturally aware currency format.
+    /// </summary>
+    // ------------------------------------------------------------------
+    Currency,
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Only supports integral numbers. Displays a string using decimal 
-        /// digits preceded by a minus sign if negative.
-        /// </summary>
-        // ------------------------------------------------------------------
-        Decimal,
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Only supports integral numbers. Displays a string using decimal 
+    /// digits preceded by a minus sign if negative.
+    /// </summary>
+    // ------------------------------------------------------------------
+    Decimal,
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Displays numbers in the form ±d.ddddddE±dd where d is a decimal 
-        /// digit. 
-        /// </summary>
-        // ------------------------------------------------------------------
-        ScientificNotation,
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Displays numbers in the form ±d.ddddddE±dd where d is a decimal 
+    /// digit. 
+    /// </summary>
+    // ------------------------------------------------------------------
+    ScientificNotation,
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Displays a series of decimal digits with a decimal point and 
-        /// additional digits.
-        /// </summary>
-        // ------------------------------------------------------------------
-        FixedPoint,
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Displays a series of decimal digits with a decimal point and 
+    /// additional digits.
+    /// </summary>
+    // ------------------------------------------------------------------
+    FixedPoint,
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Displays either as a fixed-point or scientific notation based 
-        /// on the size of the number.
-        /// </summary>
-        // ------------------------------------------------------------------
-        General,
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Displays either as a fixed-point or scientific notation based 
+    /// on the size of the number.
+    /// </summary>
+    // ------------------------------------------------------------------
+    General,
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Similar to fixed point but uses a separator character (such as ,) 
-        /// for groups of digits.
-        /// </summary>
-        // ------------------------------------------------------------------
-        Number,
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Similar to fixed point but uses a separator character (such as ,) 
+    /// for groups of digits.
+    /// </summary>
+    // ------------------------------------------------------------------
+    Number,
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Multiplies the number by 100 and displays with a percent symbol.
-        /// </summary>
-        // ------------------------------------------------------------------
-        Percentage,
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Multiplies the number by 100 and displays with a percent symbol.
+    /// </summary>
+    // ------------------------------------------------------------------
+    Percentage,
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Formats a floating-point number so that it can be successfully 
-        /// converted back to its original value.
-        /// </summary>
-        // ------------------------------------------------------------------
-        RoundTrip,
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Formats a floating-point number so that it can be successfully 
+    /// converted back to its original value.
+    /// </summary>
+    // ------------------------------------------------------------------
+    RoundTrip,
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Displays an integral number using the base-16 number system.
-        /// </summary>
-        // ------------------------------------------------------------------
-        Hexadecimal
-    }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Displays an integral number using the base-16 number system.
+    /// </summary>
+    // ------------------------------------------------------------------
+    Hexadecimal
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/ToolBox.Formatting/TextFormatter.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/ToolBox.Formatting/TextFormatter.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/ToolBox.Formatting/TextFormatter.cs	(revision 4068)
@@ -1,126 +1,114 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace ToolBox.Formatting
-{
-    public class TextFormatter
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Returns a string that's formatted using the specified format for
-        /// the number specified.
-        /// </summary>
-        /// <param name="format">TextFormat</param>
-        /// <param name="number">double</param>
-        /// <param name="significantDigits">int</param>
-        /// <returns>string</returns>
-        // ------------------------------------------------------------------
-        public static string Format(
-            TextFormat format,
-            double number,
-            int significantDigits)
-        {
-            return Format(format, number.ToString(), significantDigits);
+namespace ToolBox.Formatting {
+  public class TextFormatter {
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Returns a string that's formatted using the specified format for
+    /// the number specified.
+    /// </summary>
+    /// <param name="format">TextFormat</param>
+    /// <param name="number">double</param>
+    /// <param name="significantDigits">int</param>
+    /// <returns>string</returns>
+    // ------------------------------------------------------------------
+    public static string Format(
+        TextFormat format,
+        double number,
+        int significantDigits) {
+      return Format(format, number.ToString(), significantDigits);
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Returns a string that's formatted using the specified format for
+    /// the text specified.  If a format other than 'String' is specified,
+    /// the text is first converted to a double, then the resultant string
+    /// that represents the number in the specified format is returned.  If
+    /// the conversion from the text to a double fails, no exception is
+    /// thrown.  The supplied text is simply returned.
+    /// </summary>
+    /// <param name="format">TextFormat</param>
+    /// <param name="text">string</param>
+    /// <param name="significantDigits">int</param>
+    /// <returns>string</returns>
+    // ------------------------------------------------------------------
+    public static string Format(
+        TextFormat format,
+        string text,
+        int significantDigits) {
+      double myNumber = double.MaxValue;
+      string result = "";
+
+      // Only if the format specified isn't a string,
+      // then try to convert the text to a number.  If the
+      // conversion fails, just return the text.
+      if (format != TextFormat.String) {
+        try {
+          myNumber = double.Parse(text);
         }
+        catch {
+          return text;
+        }
+      }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Returns a string that's formatted using the specified format for
-        /// the text specified.  If a format other than 'String' is specified,
-        /// the text is first converted to a double, then the resultant string
-        /// that represents the number in the specified format is returned.  If
-        /// the conversion from the text to a double fails, no exception is
-        /// thrown.  The supplied text is simply returned.
-        /// </summary>
-        /// <param name="format">TextFormat</param>
-        /// <param name="text">string</param>
-        /// <param name="significantDigits">int</param>
-        /// <returns>string</returns>
-        // ------------------------------------------------------------------
-        public static string Format(
-            TextFormat format,
-            string text,
-            int significantDigits)
-        {
-            double myNumber = double.MaxValue;
-            string result = "";
+      // Used for the number of sig digs.  For one sig dig, this
+      // will be #.#.  For two sig digs, it'll be #.##.
+      string sigDigIdentifier = "#";
 
-            // Only if the format specified isn't a string,
-            // then try to convert the text to a number.  If the
-            // conversion fails, just return the text.
-            if (format != TextFormat.String)
-            {
-                try
-                {
-                    myNumber = double.Parse(text);
-                }
-                catch
-                {
-                    return text;
-                }
-            }
+      if (significantDigits > 0) {
+        sigDigIdentifier = "#.";
+        for (int i = 0; i < significantDigits; i++) {
+          sigDigIdentifier += "#";
+        }
+      }
+      switch (format) {
+        case TextFormat.String:
+          result = text;
+          break;
 
-            // Used for the number of sig digs.  For one sig dig, this
-            // will be #.#.  For two sig digs, it'll be #.##.
-            string sigDigIdentifier = "#";
+        case TextFormat.Currency:
+          result = String.Format("{0:c}", myNumber);
+          break;
 
-            if (significantDigits > 0)
-            {
-                sigDigIdentifier = "#.";
-                for (int i = 0; i < significantDigits; i++)
-                {
-                    sigDigIdentifier += "#";
-                }
-            }
-            switch (format)
-            {
-                case TextFormat.String:
-                    result = text;
-                    break;
+        case TextFormat.Decimal:
+          result = String.Format("{0:d}", (int)myNumber);
+          break;
 
-                case TextFormat.Currency:
-                    result = String.Format("{0:c}", myNumber);
-                    break;
+        case TextFormat.FixedPoint:
+          result = String.Format("{0:f}", myNumber);
+          break;
 
-                case TextFormat.Decimal:
-                    result = String.Format("{0:d}", (int)myNumber);
-                    break;
+        case TextFormat.General:
+          result = String.Format("{0:g}", myNumber);
+          break;
 
-                case TextFormat.FixedPoint:
-                    result = String.Format("{0:f}", myNumber);
-                    break;
+        case TextFormat.Hexadecimal:
+          result = String.Format("{0:x}", (int)myNumber);
+          break;
 
-                case TextFormat.General:
-                    result = String.Format("{0:g}", myNumber);
-                    break;
+        case TextFormat.Number:
+          //result = String.Format("{0:n}", myNumber);
+          result = myNumber.ToString(sigDigIdentifier);
+          break;
 
-                case TextFormat.Hexadecimal:
-                    result = String.Format("{0:x}", (int) myNumber);
-                    break;
+        case TextFormat.Percentage:
+          result = String.Format("{0:p}", myNumber);
+          break;
 
-                case TextFormat.Number:
-                    //result = String.Format("{0:n}", myNumber);
-                    result = myNumber.ToString(sigDigIdentifier);
-                    break;
+        case TextFormat.RoundTrip:
+          result = String.Format("{0:r}", myNumber);
+          break;
 
-                case TextFormat.Percentage:
-                    result = String.Format("{0:p}", myNumber);
-                    break;
+        case TextFormat.ScientificNotation:
+          //result = String.Format("{0:e}", myNumber);
+          result = myNumber.ToString(sigDigIdentifier + "E+0");
+          break;
 
-                case TextFormat.RoundTrip:
-                    result = String.Format("{0:r}", myNumber);
-                    break;
-
-                case TextFormat.ScientificNotation:
-                    //result = String.Format("{0:e}", myNumber);
-                    result = myNumber.ToString(sigDigIdentifier + "E+0");
-                    break;
-
-                default: result = text;
-                    break;
-            }
-            return result;
-        }
+        default: result = text;
+          break;
+      }
+      return result;
     }
+  }
 }
